Update a bank account
curl --request PUT \
--url https://test.onlinecheckwriter.com/api/v3/bankAccounts/{bankAccountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Bank Name",
"accountNumber": "123456789012",
"addressLine1": "Updated Address Line 1",
"city": "Updated City",
"state": "ST",
"zip": "12345",
"nickName": "Updated Nickname",
"addressLine2": "Updated Address Line 2",
"phone": "1234567890"
}
'import requests
url = "https://test.onlinecheckwriter.com/api/v3/bankAccounts/{bankAccountId}"
payload = {
"name": "Updated Bank Name",
"accountNumber": "123456789012",
"addressLine1": "Updated Address Line 1",
"city": "Updated City",
"state": "ST",
"zip": "12345",
"nickName": "Updated Nickname",
"addressLine2": "Updated Address Line 2",
"phone": "1234567890"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Bank Name',
accountNumber: '123456789012',
addressLine1: 'Updated Address Line 1',
city: 'Updated City',
state: 'ST',
zip: '12345',
nickName: 'Updated Nickname',
addressLine2: 'Updated Address Line 2',
phone: '1234567890'
})
};
fetch('https://test.onlinecheckwriter.com/api/v3/bankAccounts/{bankAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Bank account updated successfully."
}{
"success": false,
"errorMsg": "Invalid request payload."
}{
"message": "Unauthenticated."
}{
"success": false,
"errorMsg": "This bank account not found."
}Bank Account
Update Bank Account
Allows updating an existing bank account.
PUT
/
bankAccounts
/
{bankAccountId}
Update a bank account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the bank account to update.
Example:
"3Ez2Ggn8JP4qQgA"
Body
application/json
Payload for updating bank account details.
Example:
"Updated Bank Name"
Example:
"123456789012"
Example:
"Updated Address Line 1"
Example:
"Updated City"
Example:
"ST"
Example:
"12345"
Example:
"Updated Nickname"
Example:
"Updated Address Line 2"
Example:
"1234567890"
⌘I
